#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin>>n;
    set<int>a,b;
    for(int i=0;i<n;i++){
        int c;
        cin>>c;
        if(c>0)a.insert(c);
        else b.insert(-c);
    }
    string s="";
    int ans=0;
    int t=0,p,q;
    for(int i=0;i<n;i++){
        if(a.size())
            p=*a.begin();
        else p=-1;
        if(b.size())
            q=*b.begin();
        else q=2000000000;
        //cout<<p<<" "<<q<<" "<<t<<endl;
        if(p==q and p==t+1){
            ans++;
            s+='1';
            break;
        }
        if(p<q){
            t++;
            ans++;
            s+='1';
            a.erase(p);
        }
        else{
            t++;
            ans++;
            s+='2';
            b.erase(q);
        }
    }
    cout<<ans<<endl<<s<<endl;
    return 0;
}